الانتقال إلى المحتوى الرئيسي
POST
/
v1
/
public
/
accounts
/
{account_id}
/
forwarding
إنشاء توجيه
curl --request POST \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/forwarding \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "target_email": "jsmith@example.com",
  "domain": "<string>",
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "active": true,
  "created_at": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "target_email": "<string>",
  "updated_at": "<string>",
  "verification_required": true,
  "verification_expires_at": "<string>",
  "verification_sent_at": "<string>",
  "verification_verified_at": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

التفويضات

Authorization
string
header
مطلوب

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

معلمات المسار

account_id
string<uuid>
مطلوب

الجسم

application/json

طلب إنشاء قاعدة توجيه ضمن نطاق مسار حساب.

target_email
string<email>
مطلوب

إعادة توجيه عنوان البريد الإلكتروني الوجهة

domain
string | null

نطاق قاعدة التوجيه حسب UUID النطاق أو اسم النطاق

workspace_id
string<uuid> | null

نطاق مساحة العمل UUID لقاعدة إعادة التوجيه

الاستجابة

active
boolean
مطلوب

ما إذا كانت إعادة التوجيه نشطة

created_at
string
مطلوب

إعادة توجيه الطابع الزمني لإنشاء القاعدة

id
string<uuid>
مطلوب

إعادة توجيه القاعدة UUID

scope_id
string<uuid>
مطلوب

المورد UUID لنطاق إعادة التوجيه

scope_type
enum<string>
مطلوب

نوع نطاق المورد لقاعدة إعادة التوجيه

الخيارات المتاحة:
account,
workspace,
domain
target_email
string
مطلوب

إعادة توجيه عنوان البريد الإلكتروني الوجهة

updated_at
string
مطلوب

إعادة توجيه الطابع الزمني للتحديث الأخير لقاعدة

verification_required
boolean
مطلوب

ما إذا كان التحقق من المستلم مطلوبًا أم لا

verification_state
enum<string>
مطلوب

حالة التحقق من المستلم

الخيارات المتاحة:
internal,
pending,
verified,
expired
verification_expires_at
string | null

الطابع الزمني لانتهاء التحقق

verification_sent_at
string | null

تم إرسال الطابع الزمني لرسالة التحقق عبر البريد الإلكتروني

verification_verified_at
string | null

الطابع الزمني لاستكمال التحقق